Skip to content

Get one LateBoundCRS

Request

Get one LateBoundCRS given its persistable reference string or essence structure.

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a late-bound coordinate reference system (LateBoundCRS), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the LateBoundCRS serialized into a JSON string or an encoded string (version 1).

Example:"{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\

Late-bound coordinate reference system, i.e. a CRS without a transformation binding to WGS 84.

Example:
{ "authCode": { "auth": "EPSG", "code": "4267" }, "name": "GCS_North_American_1927", "type": "LBC", "ver": "PE_10_3_1", "wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]" }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4267]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_North_American_1927\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4267\"},\"type\":\"LBC\"}",
    "essence": {
      "authCode": {
        "auth": "EPSG",
        "code": "4267"
      },
      "name": "GCS_North_American_1927",
      "type": "LBC",
      "ver": "PE_10_3_1",
      "wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]"
    }
  }'

Responses

A successful response

Bodyapplication/json
crstypestring(CRS-Type)

The type of the LateBoundCRS.

sourcestring(Source)

The source of the LateBoundCRS.

transformationReadyboolean(Transformation Ready)

The Transformation readiness of the LateBoundCRS.

baseCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

aliasNamesArray of strings(Alias Names)

Alias names for this LateBoundCRS.

axisUnitsArray of strings(Axis Units)

Axis Unit Essences.

numberOfAxesinteger(Number of Axes)

The NumberOfAxes of the LateBoundCRS.

descriptionstring(Description)

The description of the LateBoundCRS.

lastModifiedstring(LastModified)

The LastModified of the LateBoundCRS.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CRS Deprecation Info)

Deprecation information for a coordinate reference system.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

Late-bound coordinate reference system, i.e. a CRS without a transformation binding to WGS 84.

Response
{ "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "LBC", "name": "GCS_WGS_1984", "ver": "PE_10_3_1", "wkt": "GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4326]]", "authCode": { … } } }